import javax.ejb.*;

public class ProductEJB implements EntityBean
{
	protected EntityContext context;

	public int id;
	public String name;
	public String description;
	public float price;

	public int getId()
	{
		return id;
	}

	public String getName()
	{
		return name;
	}

	public void setName(String value)
	{
		this.name = value;
	}

	public String getDescription()
	{
		return description;
	}

	public void setDescription(String value)
	{
		this.description = value;
	}

	public float getPrice()
	{
		return price;
	}

	public void setPrice(float value)
	{
		this.price = value;
	}

	public void ejbLoad()
	{
	}

	public void ejbStore()
	{
	}

	public void ejbActivate()
	{
	}

	public void ejbPassivate()
	{
	}

	public void ejbRemove()
	{
	}

	public void setEntityContext(EntityContext context)
	{
		this.context = context;
	}

	public void unsetEntityContext()
	{
		this.context = null;
	}

	public java.lang.Integer ejbCreate(int id) throws CreateException
	{
		this.id = id;
		return null; // Return null when using CMP
	}

	public void ejbPostCreate(int id)
	{
	}
}
